| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTX_extend
GTX Extensions (Experimental)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | extend (genType const &Origin, genType const &Source, typename genType::value_type const Length)

## Detailed Description

Extend a position from a source to a position at a defined length.

<glm/gtx/extend.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::extend | ( | genType const & | Origin,
|  | genType const & | Source,
|  | typename genType::value_type const | Length
| ) |  |

Extends of Length the Origin position using the (Source - Origin) direction.

See also
  GLM_GTX_extend